%Read an image into the MATLAB workspace. 
I  = imread('tele.gif');

%Find the edges in the image. 
BW = edge(I,'canny',[0.04 0.10],1.5);
figure,imshow(BW);
hold on;


%Compute the Hough transform of the image using the hough function. 
 [H,theta,rho] = hough(BW);


%Display the transform. 
figure,imshow(theta,rho,H,[],'notruesize')
 
xlabel('\theta'), ylabel('\rho');
axis on, axis normal, hold on;


%Find the peaks in the Hough transform matrix, H, using the houghpeaks function. 
[r,c] = houghpeaks(H,5);
hold on;
plot(theta(c),rho(r),'linestyle','none','marker','s','color','w');


%Find lines in the image. 
lines = houghlines(BW,theta,rho,r,c);


%Create a plot that superimposes the lines on the original image. 
figure, imshow(BW), hold on
max_len = 0;
for k = 1:length(lines)
   xy = [lines(k).point1; lines(k).point2];
   plot(xy(:,2),xy(:,1),'LineWidth',4,'Color','green');
end


