% Contains all the parameters for the ellipse detection program findellipse.m
% Edit this file directly to change the parameters.
%
% This file is read by findellipse.m before it begins.
%
% If an ellipse's score in the accumulator is > scoreThreshold it is 
% considered  ellipse in the image. 

scoreThreshHold = 0; 

%
% Numbers of times through the loop accumulating potential ellipses
%
iterations = 50; 

%
% The total number of epochs to run through.

maxEpochs = 6;

%
% The maximum number of consecutive epochs we will go through before
% prematurely terminating the algorithm

maxEpochsWithoutFindingEllipse = 20;


%
% The check to determine if an ellipse is really in the image
ratioPixelsFoundToCircumferenceThresh = 0.2; 

% 
% If the distance between an accumulated ellipse and the ellipse
% being added to the accumulator is < distSimThresh 
% and % the absolute difference between the major axises is < majorAxisSimThresh
% and % the absolute difference between the minor axises is < minorAxisSimThresh 
% 
% then the ellipse in the accumulator is close enough the ellipse
% being tested that they are average together. The accumulted ellipsed
% is weighted by its score in the accumualtor.
%
distSimThresh = 6 ;
majorAxisSimThresh = 5;
minorAxisSimThresh = 5;

showError = 0;

% 1 to show the best ellipses on the image at the end. 0 don't do it
showBest = 1;

% 1 to print debugging info, 0 to not
debugOn = 0;

% 1 to show the accumulated ellipse, 0 to not
showit = 0;   


